<?php
$tdatatickeo__ = array();
$tdatatickeo__[".searchableFields"] = array();
$tdatatickeo__[".ShortName"] = "tickeo__";
$tdatatickeo__[".OwnerID"] = "";
$tdatatickeo__[".OriginalTable"] = "tickeo";


$tdatatickeo__[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatatickeo__[".originalPagesByType"] = $tdatatickeo__[".pagesByType"];
$tdatatickeo__[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatatickeo__[".originalPages"] = $tdatatickeo__[".pages"];
$tdatatickeo__[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatatickeo__[".originalDefaultPages"] = $tdatatickeo__[".defaultPages"];

//	field labels
$fieldLabelstickeo__ = array();
$fieldToolTipstickeo__ = array();
$pageTitlestickeo__ = array();
$placeHolderstickeo__ = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelstickeo__["Spanish"] = array();
	$fieldToolTipstickeo__["Spanish"] = array();
	$placeHolderstickeo__["Spanish"] = array();
	$pageTitlestickeo__["Spanish"] = array();
	$fieldLabelstickeo__["Spanish"]["empleadoID"] = "Empleado ID";
	$fieldToolTipstickeo__["Spanish"]["empleadoID"] = "";
	$placeHolderstickeo__["Spanish"]["empleadoID"] = "";
	$fieldLabelstickeo__["Spanish"]["fechahora"] = "Fechahora";
	$fieldToolTipstickeo__["Spanish"]["fechahora"] = "";
	$placeHolderstickeo__["Spanish"]["fechahora"] = "";
	$fieldLabelstickeo__["Spanish"]["fecha"] = "Fecha";
	$fieldToolTipstickeo__["Spanish"]["fecha"] = "";
	$placeHolderstickeo__["Spanish"]["fecha"] = "";
	$fieldLabelstickeo__["Spanish"]["hora"] = "Hora";
	$fieldToolTipstickeo__["Spanish"]["hora"] = "";
	$placeHolderstickeo__["Spanish"]["hora"] = "";
	$fieldLabelstickeo__["Spanish"]["descrpcion"] = "Descrpcion";
	$fieldToolTipstickeo__["Spanish"]["descrpcion"] = "";
	$placeHolderstickeo__["Spanish"]["descrpcion"] = "";
	$fieldLabelstickeo__["Spanish"]["nombredis"] = "Nombredis";
	$fieldToolTipstickeo__["Spanish"]["nombredis"] = "";
	$placeHolderstickeo__["Spanish"]["nombredis"] = "";
	$fieldLabelstickeo__["Spanish"]["sndis"] = "Sndis";
	$fieldToolTipstickeo__["Spanish"]["sndis"] = "";
	$placeHolderstickeo__["Spanish"]["sndis"] = "";
	$fieldLabelstickeo__["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipstickeo__["Spanish"]["nombre"] = "";
	$placeHolderstickeo__["Spanish"]["nombre"] = "";
	$fieldLabelstickeo__["Spanish"]["ci"] = "Ci";
	$fieldToolTipstickeo__["Spanish"]["ci"] = "";
	$placeHolderstickeo__["Spanish"]["ci"] = "";
	$fieldLabelstickeo__["Spanish"]["apellido_Paterno"] = "Apellido Paterno";
	$fieldToolTipstickeo__["Spanish"]["apellido_Paterno"] = "";
	$placeHolderstickeo__["Spanish"]["apellido_Paterno"] = "";
	$fieldLabelstickeo__["Spanish"]["nombres"] = "Nombres";
	$fieldToolTipstickeo__["Spanish"]["nombres"] = "";
	$placeHolderstickeo__["Spanish"]["nombres"] = "";
	$fieldLabelstickeo__["Spanish"]["ci1"] = "Ci1";
	$fieldToolTipstickeo__["Spanish"]["ci1"] = "";
	$placeHolderstickeo__["Spanish"]["ci1"] = "";
	$fieldLabelstickeo__["Spanish"]["apellido_Materno"] = "Apellido Materno";
	$fieldToolTipstickeo__["Spanish"]["apellido_Materno"] = "";
	$placeHolderstickeo__["Spanish"]["apellido_Materno"] = "";
	$fieldLabelstickeo__["Spanish"]["fecha_Nacimiento"] = "Fecha Nacimiento";
	$fieldToolTipstickeo__["Spanish"]["fecha_Nacimiento"] = "";
	$placeHolderstickeo__["Spanish"]["fecha_Nacimiento"] = "";
	$fieldLabelstickeo__["Spanish"]["lugar_Nacimiento"] = "Lugar Nacimiento";
	$fieldToolTipstickeo__["Spanish"]["lugar_Nacimiento"] = "";
	$placeHolderstickeo__["Spanish"]["lugar_Nacimiento"] = "";
	$fieldLabelstickeo__["Spanish"]["direccion"] = "Direccion";
	$fieldToolTipstickeo__["Spanish"]["direccion"] = "";
	$placeHolderstickeo__["Spanish"]["direccion"] = "";
	$fieldLabelstickeo__["Spanish"]["profesion"] = "Profesion";
	$fieldToolTipstickeo__["Spanish"]["profesion"] = "";
	$placeHolderstickeo__["Spanish"]["profesion"] = "";
	$fieldLabelstickeo__["Spanish"]["telefono"] = "Telefono";
	$fieldToolTipstickeo__["Spanish"]["telefono"] = "";
	$placeHolderstickeo__["Spanish"]["telefono"] = "";
	$fieldLabelstickeo__["Spanish"]["celular"] = "Celular";
	$fieldToolTipstickeo__["Spanish"]["celular"] = "";
	$placeHolderstickeo__["Spanish"]["celular"] = "";
	$fieldLabelstickeo__["Spanish"]["sexo"] = "Sexo";
	$fieldToolTipstickeo__["Spanish"]["sexo"] = "";
	$placeHolderstickeo__["Spanish"]["sexo"] = "";
	$fieldLabelstickeo__["Spanish"]["estado"] = "Estado";
	$fieldToolTipstickeo__["Spanish"]["estado"] = "";
	$placeHolderstickeo__["Spanish"]["estado"] = "";
	$fieldLabelstickeo__["Spanish"]["estado_Civil"] = "Estado Civil";
	$fieldToolTipstickeo__["Spanish"]["estado_Civil"] = "";
	$placeHolderstickeo__["Spanish"]["estado_Civil"] = "";
	$fieldLabelstickeo__["Spanish"]["id_Socio"] = "Id Socio";
	$fieldToolTipstickeo__["Spanish"]["id_Socio"] = "";
	$placeHolderstickeo__["Spanish"]["id_Socio"] = "";
	if (count($fieldToolTipstickeo__["Spanish"]))
		$tdatatickeo__[".isUseToolTips"] = true;
}


	$tdatatickeo__[".NCSearch"] = true;



$tdatatickeo__[".shortTableName"] = "tickeo__";
$tdatatickeo__[".nSecOptions"] = 0;

$tdatatickeo__[".recsLimit"] = 1;
$tdatatickeo__[".mainTableOwnerID"] = "";
$tdatatickeo__[".entityType"] = 1;
$tdatatickeo__[".connId"] = "bsn_dividendos_at_localhost";


$tdatatickeo__[".strOriginalTableName"] = "tickeo";

	



$tdatatickeo__[".showAddInPopup"] = false;

$tdatatickeo__[".showEditInPopup"] = false;

$tdatatickeo__[".showViewInPopup"] = false;

$tdatatickeo__[".listAjax"] = false;
//	temporary
//$tdatatickeo__[".listAjax"] = false;

	$tdatatickeo__[".audit"] = true;

	$tdatatickeo__[".locking"] = true;


$pages = $tdatatickeo__[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatickeo__[".edit"] = true;
	$tdatatickeo__[".afterEditAction"] = 1;
	$tdatatickeo__[".closePopupAfterEdit"] = 1;
	$tdatatickeo__[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatickeo__[".add"] = true;
$tdatatickeo__[".afterAddAction"] = 1;
$tdatatickeo__[".closePopupAfterAdd"] = 1;
$tdatatickeo__[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatickeo__[".list"] = true;
}



$tdatatickeo__[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatickeo__[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatickeo__[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatickeo__[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatickeo__[".printFriendly"] = true;
}



$tdatatickeo__[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatickeo__[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatickeo__[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatickeo__[".isUseAjaxSuggest"] = true;



																																																																																	

$tdatatickeo__[".ajaxCodeSnippetAdded"] = false;

$tdatatickeo__[".buttonsAdded"] = false;

$tdatatickeo__[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatickeo__[".isUseTimeForSearch"] = false;


$tdatatickeo__[".badgeColor"] = "8FBC8B";


$tdatatickeo__[".allSearchFields"] = array();
$tdatatickeo__[".filterFields"] = array();
$tdatatickeo__[".requiredSearchFields"] = array();

$tdatatickeo__[".googleLikeFields"] = array();
$tdatatickeo__[".googleLikeFields"][] = "empleadoID";
$tdatatickeo__[".googleLikeFields"][] = "fechahora";
$tdatatickeo__[".googleLikeFields"][] = "fecha";
$tdatatickeo__[".googleLikeFields"][] = "hora";
$tdatatickeo__[".googleLikeFields"][] = "descrpcion";
$tdatatickeo__[".googleLikeFields"][] = "nombredis";
$tdatatickeo__[".googleLikeFields"][] = "sndis";
$tdatatickeo__[".googleLikeFields"][] = "nombre";
$tdatatickeo__[".googleLikeFields"][] = "ci";
$tdatatickeo__[".googleLikeFields"][] = "apellido_Paterno";
$tdatatickeo__[".googleLikeFields"][] = "nombres";
$tdatatickeo__[".googleLikeFields"][] = "ci1";
$tdatatickeo__[".googleLikeFields"][] = "apellido_Materno";
$tdatatickeo__[".googleLikeFields"][] = "fecha_Nacimiento";
$tdatatickeo__[".googleLikeFields"][] = "lugar_Nacimiento";
$tdatatickeo__[".googleLikeFields"][] = "direccion";
$tdatatickeo__[".googleLikeFields"][] = "profesion";
$tdatatickeo__[".googleLikeFields"][] = "telefono";
$tdatatickeo__[".googleLikeFields"][] = "celular";
$tdatatickeo__[".googleLikeFields"][] = "sexo";
$tdatatickeo__[".googleLikeFields"][] = "estado";
$tdatatickeo__[".googleLikeFields"][] = "estado_Civil";
$tdatatickeo__[".googleLikeFields"][] = "id_Socio";



$tdatatickeo__[".tableType"] = "list";

$tdatatickeo__[".printerPageOrientation"] = 0;
$tdatatickeo__[".nPrinterPageScale"] = 100;

$tdatatickeo__[".nPrinterSplitRecords"] = 40;

$tdatatickeo__[".geocodingEnabled"] = false;










$tdatatickeo__[".pageSize"] = 20;

$tdatatickeo__[".warnLeavingPages"] = true;



$tstrOrderBy = "ORDER BY tickeo.fechahora DESC";
$tdatatickeo__[".strOrderBy"] = $tstrOrderBy;

$tdatatickeo__[".orderindexes"] = array();
			$tdatatickeo__[".orderindexes"][] = array(2, (0 ? "ASC" : "DESC"), "tickeo.fechahora");


$tdatatickeo__[".sqlHead"] = "SELECT tickeo.empleadoID,  tickeo.fechahora,  tickeo.fecha,  tickeo.hora,  tickeo.descrpcion,  tickeo.nombredis,  tickeo.sndis,  tickeo.nombre,  tickeo.ci,  socio.apellido_Paterno,  socio.nombres,  socio.ci AS ci1,  socio.apellido_Materno,  socio.fecha_Nacimiento,  socio.lugar_Nacimiento,  socio.direccion,  socio.profesion,  socio.telefono,  socio.celular,  socio.sexo,  socio.estado,  socio.estado_Civil,  socio.id_Socio";
$tdatatickeo__[".sqlFrom"] = "FROM tickeo  INNER JOIN socio ON tickeo.empleadoID = socio.ci";
$tdatatickeo__[".sqlWhereExpr"] = "";
$tdatatickeo__[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatickeo__[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatickeo__[".arrGroupsPerPage"] = $arrGPP;

$tdatatickeo__[".highlightSearchResults"] = true;

$tableKeystickeo__ = array();
$tdatatickeo__[".Keys"] = $tableKeystickeo__;


$tdatatickeo__[".hideMobileList"] = array();




//	empleadoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "empleadoID";
	$fdata["GoodName"] = "empleadoID";
	$fdata["ownerTable"] = "tickeo";
	$fdata["Label"] = GetFieldLabel("tickeo__","empleadoID");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "empleadoID";

		$fdata["sourceSingle"] = "empleadoID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tickeo.empleadoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["empleadoID"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "empleadoID";
//	fechahora
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "fechahora";
	$fdata["GoodName"] = "fechahora";
	$fdata["ownerTable"] = "tickeo";
	$fdata["Label"] = GetFieldLabel("tickeo__","fechahora");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fechahora";

		$fdata["sourceSingle"] = "fechahora";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tickeo.fechahora";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["fechahora"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "fechahora";
//	fecha
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "fecha";
	$fdata["GoodName"] = "fecha";
	$fdata["ownerTable"] = "tickeo";
	$fdata["Label"] = GetFieldLabel("tickeo__","fecha");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "fecha";

		$fdata["sourceSingle"] = "fecha";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tickeo.fecha";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["fecha"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "fecha";
//	hora
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "hora";
	$fdata["GoodName"] = "hora";
	$fdata["ownerTable"] = "tickeo";
	$fdata["Label"] = GetFieldLabel("tickeo__","hora");
	$fdata["FieldType"] = 134;


	
	
			

		$fdata["strField"] = "hora";

		$fdata["sourceSingle"] = "hora";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tickeo.hora";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Time");

	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["timeFormatData"] = array(
		"showSeconds" => false,
		"showDaysInTotals" => false,
		"timeFormat" => 0
	);
	$vdata["timeFormatData"]["showSeconds"] = true;
	$vdata["timeFormatData"]["showDaysInTotals"] = true;

		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Time");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
				$hours = 24;
	$edata["FormatTimeAttrs"] = array("useTimePicker" => 0,
									  "hours" => $hours,
									  "minutes" => 1,
									  "showSeconds" => 0);

	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["hora"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "hora";
//	descrpcion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "descrpcion";
	$fdata["GoodName"] = "descrpcion";
	$fdata["ownerTable"] = "tickeo";
	$fdata["Label"] = GetFieldLabel("tickeo__","descrpcion");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "descrpcion";

		$fdata["sourceSingle"] = "descrpcion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tickeo.descrpcion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["descrpcion"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "descrpcion";
//	nombredis
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "nombredis";
	$fdata["GoodName"] = "nombredis";
	$fdata["ownerTable"] = "tickeo";
	$fdata["Label"] = GetFieldLabel("tickeo__","nombredis");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombredis";

		$fdata["sourceSingle"] = "nombredis";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tickeo.nombredis";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["nombredis"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "nombredis";
//	sndis
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "sndis";
	$fdata["GoodName"] = "sndis";
	$fdata["ownerTable"] = "tickeo";
	$fdata["Label"] = GetFieldLabel("tickeo__","sndis");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "sndis";

		$fdata["sourceSingle"] = "sndis";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tickeo.sndis";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["sndis"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "sndis";
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "tickeo";
	$fdata["Label"] = GetFieldLabel("tickeo__","nombre");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombre";

		$fdata["sourceSingle"] = "nombre";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tickeo.nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["nombre"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "nombre";
//	ci
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "ci";
	$fdata["GoodName"] = "ci";
	$fdata["ownerTable"] = "tickeo";
	$fdata["Label"] = GetFieldLabel("tickeo__","ci");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "ci";

		$fdata["sourceSingle"] = "ci";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tickeo.ci";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["ci"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "ci";
//	apellido_Paterno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "apellido_Paterno";
	$fdata["GoodName"] = "apellido_Paterno";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("tickeo__","apellido_Paterno");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "apellido_Paterno";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "socio.apellido_Paterno";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["apellido_Paterno"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "apellido_Paterno";
//	nombres
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "nombres";
	$fdata["GoodName"] = "nombres";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("tickeo__","nombres");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombres";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "socio.nombres";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["nombres"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "nombres";
//	ci1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "ci1";
	$fdata["GoodName"] = "ci1";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("tickeo__","ci1");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "ci";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "socio.ci";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["ci1"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "ci1";
//	apellido_Materno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "apellido_Materno";
	$fdata["GoodName"] = "apellido_Materno";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("tickeo__","apellido_Materno");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "apellido_Materno";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "socio.apellido_Materno";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["apellido_Materno"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "apellido_Materno";
//	fecha_Nacimiento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "fecha_Nacimiento";
	$fdata["GoodName"] = "fecha_Nacimiento";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("tickeo__","fecha_Nacimiento");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "fecha_Nacimiento";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "socio.fecha_Nacimiento";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["fecha_Nacimiento"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "fecha_Nacimiento";
//	lugar_Nacimiento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "lugar_Nacimiento";
	$fdata["GoodName"] = "lugar_Nacimiento";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("tickeo__","lugar_Nacimiento");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "lugar_Nacimiento";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "socio.lugar_Nacimiento";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["lugar_Nacimiento"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "lugar_Nacimiento";
//	direccion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "direccion";
	$fdata["GoodName"] = "direccion";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("tickeo__","direccion");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "direccion";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "socio.direccion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["direccion"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "direccion";
//	profesion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "profesion";
	$fdata["GoodName"] = "profesion";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("tickeo__","profesion");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "profesion";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "socio.profesion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["profesion"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "profesion";
//	telefono
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "telefono";
	$fdata["GoodName"] = "telefono";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("tickeo__","telefono");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "telefono";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "socio.telefono";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["telefono"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "telefono";
//	celular
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 19;
	$fdata["strName"] = "celular";
	$fdata["GoodName"] = "celular";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("tickeo__","celular");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "celular";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "socio.celular";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["celular"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "celular";
//	sexo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 20;
	$fdata["strName"] = "sexo";
	$fdata["GoodName"] = "sexo";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("tickeo__","sexo");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "sexo";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "socio.sexo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["sexo"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "sexo";
//	estado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 21;
	$fdata["strName"] = "estado";
	$fdata["GoodName"] = "estado";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("tickeo__","estado");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "estado";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "socio.estado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["estado"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "estado";
//	estado_Civil
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 22;
	$fdata["strName"] = "estado_Civil";
	$fdata["GoodName"] = "estado_Civil";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("tickeo__","estado_Civil");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "estado_Civil";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "socio.estado_Civil";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["estado_Civil"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "estado_Civil";
//	id_Socio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 23;
	$fdata["strName"] = "id_Socio";
	$fdata["GoodName"] = "id_Socio";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("tickeo__","id_Socio");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_Socio";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "socio.id_Socio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatickeo__["id_Socio"] = $fdata;
		$tdatatickeo__[".searchableFields"][] = "id_Socio";


$tables_data["tickeo--"]=&$tdatatickeo__;
$field_labels["tickeo__"] = &$fieldLabelstickeo__;
$fieldToolTips["tickeo__"] = &$fieldToolTipstickeo__;
$placeHolders["tickeo__"] = &$placeHolderstickeo__;
$page_titles["tickeo__"] = &$pageTitlestickeo__;


changeTextControlsToDate( "tickeo--" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["tickeo--"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["tickeo--"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_tickeo__()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "tickeo.empleadoID,  tickeo.fechahora,  tickeo.fecha,  tickeo.hora,  tickeo.descrpcion,  tickeo.nombredis,  tickeo.sndis,  tickeo.nombre,  tickeo.ci,  socio.apellido_Paterno,  socio.nombres,  socio.ci AS ci1,  socio.apellido_Materno,  socio.fecha_Nacimiento,  socio.lugar_Nacimiento,  socio.direccion,  socio.profesion,  socio.telefono,  socio.celular,  socio.sexo,  socio.estado,  socio.estado_Civil,  socio.id_Socio";
$proto0["m_strFrom"] = "FROM tickeo  INNER JOIN socio ON tickeo.empleadoID = socio.ci";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY tickeo.fechahora DESC";
	
				;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "empleadoID",
	"m_strTable" => "tickeo",
	"m_srcTableName" => "tickeo--"
));

$proto6["m_sql"] = "tickeo.empleadoID";
$proto6["m_srcTableName"] = "tickeo--";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "fechahora",
	"m_strTable" => "tickeo",
	"m_srcTableName" => "tickeo--"
));

$proto8["m_sql"] = "tickeo.fechahora";
$proto8["m_srcTableName"] = "tickeo--";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha",
	"m_strTable" => "tickeo",
	"m_srcTableName" => "tickeo--"
));

$proto10["m_sql"] = "tickeo.fecha";
$proto10["m_srcTableName"] = "tickeo--";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "hora",
	"m_strTable" => "tickeo",
	"m_srcTableName" => "tickeo--"
));

$proto12["m_sql"] = "tickeo.hora";
$proto12["m_srcTableName"] = "tickeo--";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "descrpcion",
	"m_strTable" => "tickeo",
	"m_srcTableName" => "tickeo--"
));

$proto14["m_sql"] = "tickeo.descrpcion";
$proto14["m_srcTableName"] = "tickeo--";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "nombredis",
	"m_strTable" => "tickeo",
	"m_srcTableName" => "tickeo--"
));

$proto16["m_sql"] = "tickeo.nombredis";
$proto16["m_srcTableName"] = "tickeo--";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "sndis",
	"m_strTable" => "tickeo",
	"m_srcTableName" => "tickeo--"
));

$proto18["m_sql"] = "tickeo.sndis";
$proto18["m_srcTableName"] = "tickeo--";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "tickeo",
	"m_srcTableName" => "tickeo--"
));

$proto20["m_sql"] = "tickeo.nombre";
$proto20["m_srcTableName"] = "tickeo--";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "ci",
	"m_strTable" => "tickeo",
	"m_srcTableName" => "tickeo--"
));

$proto22["m_sql"] = "tickeo.ci";
$proto22["m_srcTableName"] = "tickeo--";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "apellido_Paterno",
	"m_strTable" => "socio",
	"m_srcTableName" => "tickeo--"
));

$proto24["m_sql"] = "socio.apellido_Paterno";
$proto24["m_srcTableName"] = "tickeo--";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "nombres",
	"m_strTable" => "socio",
	"m_srcTableName" => "tickeo--"
));

$proto26["m_sql"] = "socio.nombres";
$proto26["m_srcTableName"] = "tickeo--";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "ci",
	"m_strTable" => "socio",
	"m_srcTableName" => "tickeo--"
));

$proto28["m_sql"] = "socio.ci";
$proto28["m_srcTableName"] = "tickeo--";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "ci1";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "apellido_Materno",
	"m_strTable" => "socio",
	"m_srcTableName" => "tickeo--"
));

$proto30["m_sql"] = "socio.apellido_Materno";
$proto30["m_srcTableName"] = "tickeo--";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_Nacimiento",
	"m_strTable" => "socio",
	"m_srcTableName" => "tickeo--"
));

$proto32["m_sql"] = "socio.fecha_Nacimiento";
$proto32["m_srcTableName"] = "tickeo--";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "lugar_Nacimiento",
	"m_strTable" => "socio",
	"m_srcTableName" => "tickeo--"
));

$proto34["m_sql"] = "socio.lugar_Nacimiento";
$proto34["m_srcTableName"] = "tickeo--";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$obj = new SQLField(array(
	"m_strName" => "direccion",
	"m_strTable" => "socio",
	"m_srcTableName" => "tickeo--"
));

$proto36["m_sql"] = "socio.direccion";
$proto36["m_srcTableName"] = "tickeo--";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
						$proto38=array();
			$obj = new SQLField(array(
	"m_strName" => "profesion",
	"m_strTable" => "socio",
	"m_srcTableName" => "tickeo--"
));

$proto38["m_sql"] = "socio.profesion";
$proto38["m_srcTableName"] = "tickeo--";
$proto38["m_expr"]=$obj;
$proto38["m_alias"] = "";
$obj = new SQLFieldListItem($proto38);

$proto0["m_fieldlist"][]=$obj;
						$proto40=array();
			$obj = new SQLField(array(
	"m_strName" => "telefono",
	"m_strTable" => "socio",
	"m_srcTableName" => "tickeo--"
));

$proto40["m_sql"] = "socio.telefono";
$proto40["m_srcTableName"] = "tickeo--";
$proto40["m_expr"]=$obj;
$proto40["m_alias"] = "";
$obj = new SQLFieldListItem($proto40);

$proto0["m_fieldlist"][]=$obj;
						$proto42=array();
			$obj = new SQLField(array(
	"m_strName" => "celular",
	"m_strTable" => "socio",
	"m_srcTableName" => "tickeo--"
));

$proto42["m_sql"] = "socio.celular";
$proto42["m_srcTableName"] = "tickeo--";
$proto42["m_expr"]=$obj;
$proto42["m_alias"] = "";
$obj = new SQLFieldListItem($proto42);

$proto0["m_fieldlist"][]=$obj;
						$proto44=array();
			$obj = new SQLField(array(
	"m_strName" => "sexo",
	"m_strTable" => "socio",
	"m_srcTableName" => "tickeo--"
));

$proto44["m_sql"] = "socio.sexo";
$proto44["m_srcTableName"] = "tickeo--";
$proto44["m_expr"]=$obj;
$proto44["m_alias"] = "";
$obj = new SQLFieldListItem($proto44);

$proto0["m_fieldlist"][]=$obj;
						$proto46=array();
			$obj = new SQLField(array(
	"m_strName" => "estado",
	"m_strTable" => "socio",
	"m_srcTableName" => "tickeo--"
));

$proto46["m_sql"] = "socio.estado";
$proto46["m_srcTableName"] = "tickeo--";
$proto46["m_expr"]=$obj;
$proto46["m_alias"] = "";
$obj = new SQLFieldListItem($proto46);

$proto0["m_fieldlist"][]=$obj;
						$proto48=array();
			$obj = new SQLField(array(
	"m_strName" => "estado_Civil",
	"m_strTable" => "socio",
	"m_srcTableName" => "tickeo--"
));

$proto48["m_sql"] = "socio.estado_Civil";
$proto48["m_srcTableName"] = "tickeo--";
$proto48["m_expr"]=$obj;
$proto48["m_alias"] = "";
$obj = new SQLFieldListItem($proto48);

$proto0["m_fieldlist"][]=$obj;
						$proto50=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Socio",
	"m_strTable" => "socio",
	"m_srcTableName" => "tickeo--"
));

$proto50["m_sql"] = "socio.id_Socio";
$proto50["m_srcTableName"] = "tickeo--";
$proto50["m_expr"]=$obj;
$proto50["m_alias"] = "";
$obj = new SQLFieldListItem($proto50);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto52=array();
$proto52["m_link"] = "SQLL_MAIN";
			$proto53=array();
$proto53["m_strName"] = "tickeo";
$proto53["m_srcTableName"] = "tickeo--";
$proto53["m_columns"] = array();
$proto53["m_columns"][] = "empleadoID";
$proto53["m_columns"][] = "fechahora";
$proto53["m_columns"][] = "fecha";
$proto53["m_columns"][] = "hora";
$proto53["m_columns"][] = "descrpcion";
$proto53["m_columns"][] = "nombredis";
$proto53["m_columns"][] = "sndis";
$proto53["m_columns"][] = "nombre";
$proto53["m_columns"][] = "ci";
$obj = new SQLTable($proto53);

$proto52["m_table"] = $obj;
$proto52["m_sql"] = "tickeo";
$proto52["m_alias"] = "";
$proto52["m_srcTableName"] = "tickeo--";
$proto54=array();
$proto54["m_sql"] = "";
$proto54["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto54["m_column"]=$obj;
$proto54["m_contained"] = array();
$proto54["m_strCase"] = "";
$proto54["m_havingmode"] = false;
$proto54["m_inBrackets"] = false;
$proto54["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto54);

$proto52["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto52);

$proto0["m_fromlist"][]=$obj;
												$proto56=array();
$proto56["m_link"] = "SQLL_INNERJOIN";
			$proto57=array();
$proto57["m_strName"] = "socio";
$proto57["m_srcTableName"] = "tickeo--";
$proto57["m_columns"] = array();
$proto57["m_columns"][] = "id_Socio";
$proto57["m_columns"][] = "ci";
$proto57["m_columns"][] = "ci_complemento";
$proto57["m_columns"][] = "ci_procedencia";
$proto57["m_columns"][] = "nombres";
$proto57["m_columns"][] = "apellido_Paterno";
$proto57["m_columns"][] = "apellido_Materno";
$proto57["m_columns"][] = "fecha_Nacimiento";
$proto57["m_columns"][] = "lugar_Nacimiento";
$proto57["m_columns"][] = "depto_Nacimiento";
$proto57["m_columns"][] = "direccion";
$proto57["m_columns"][] = "profesion";
$proto57["m_columns"][] = "telefono";
$proto57["m_columns"][] = "celular";
$proto57["m_columns"][] = "foto_actual";
$proto57["m_columns"][] = "foto_Ci";
$proto57["m_columns"][] = "estado";
$proto57["m_columns"][] = "tipo_Doc";
$proto57["m_columns"][] = "pais_Nacimiento";
$proto57["m_columns"][] = "sexo";
$proto57["m_columns"][] = "estado_Civil";
$proto57["m_columns"][] = "apellido_Casada";
$proto57["m_columns"][] = "tipo_accionista";
$proto57["m_columns"][] = "id_dp";
$proto57["m_columns"][] = "id_gestion";
$proto57["m_columns"][] = "id_constitucion";
$obj = new SQLTable($proto57);

$proto56["m_table"] = $obj;
$proto56["m_sql"] = "INNER JOIN socio ON tickeo.empleadoID = socio.ci";
$proto56["m_alias"] = "";
$proto56["m_srcTableName"] = "tickeo--";
$proto58=array();
$proto58["m_sql"] = "socio.ci = tickeo.empleadoID";
$proto58["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "ci",
	"m_strTable" => "socio",
	"m_srcTableName" => "tickeo--"
));

$proto58["m_column"]=$obj;
$proto58["m_contained"] = array();
$proto58["m_strCase"] = "= tickeo.empleadoID";
$proto58["m_havingmode"] = false;
$proto58["m_inBrackets"] = false;
$proto58["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto58);

$proto56["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto56);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto60=array();
						$obj = new SQLField(array(
	"m_strName" => "fechahora",
	"m_strTable" => "tickeo",
	"m_srcTableName" => "tickeo--"
));

$proto60["m_column"]=$obj;
$proto60["m_bAsc"] = 0;
$proto60["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto60);

$proto0["m_orderby"][]=$obj;					
$proto0["m_srcTableName"]="tickeo--";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tickeo__ = createSqlQuery_tickeo__();


	
				;

																							

$tdatatickeo__[".sqlquery"] = $queryData_tickeo__;



$tdatatickeo__[".hasEvents"] = false;

?>